## wiredtiger 2.6.1+ds

=== debian/changelog ===
wiredtiger (2.6.1+ds-1) unstable; urgency=low

  * Initial upload (closes: #782470).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Jun 2015 19:38:17 +0000
