=== debian/control ===
Source: wiredtiger
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), javahelper, dh-python, autoconf, automake,
 libtool, swig, doxygen,
 default-jdk, python-all-dev (>= 2.6.6-3~),
 zlib1g-dev, libleveldb-dev, libsnappy-dev
Standards-Version: 3.9.6
Homepage: http://www.wiredtiger.com/

Package: libwiredtiger-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java language support for WiredTiger
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package provides the Java language support for WiredTiger.

Package: python-wiredtiger
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for WiredTiger
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package provides the Python bindings for WiredTiger.

Package: libwiredtiger-dev
Section: libdevel
Architecture: any
Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
Description: high performance, scalable, NoSQL, extensible platform (development)
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package contains the headers and the static library for libwiredtiger.

Package: libwiredtiger0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: high performance, scalable, NoSQL, extensible platform (library)
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.

Package: libwiredtiger-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
Description: high performance, scalable, NoSQL, extensible platform (debug symbols)
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package contains the debugging symbols for writing C applications
 using WiredTiger.

Package: wiredtiger
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high performance, scalable, NoSQL, extensible platform for data management
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
