=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

override_dh_auto_configure:
	$(CURDIR)/autogen.sh
	dh_auto_configure -- --enable-leveldb=yes --enable-snappy \
		--enable-zlib \
		--enable-java --enable-python \
		--with-python-prefix=$(CURDIR)/debian/tmp/$(PYTHON_SITEARCH)/

override_dh_strip:
	dh_strip -plibwiredtiger0 --dbg-package=libwiredtiger-dbg
	dh_strip

%:
	dh $@ --with python2,javahelper --parallel

.PHONY: override_dh_auto_configure override_dh_strip
