## wiredtiger 2.9.3%2Bds

=== debian/changelog ===
wiredtiger (2.9.3+ds-1ubuntu2) bionic; urgency=medium

  * Enable verbose message build, as used by mongodb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 21:35:52 +0000

wiredtiger (2.9.3+ds-1ubuntu1) bionic; urgency=medium

  * Enable building on arm64 ppc64el s390x, and any other 64-bit ports.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 14:28:21 +0000

wiredtiger (2.9.3+ds-1) unstable; urgency=low

  * New upstream release.
  * Limit binary packages to amd64 architecture only
    (closes: #813960, #813961).
  * Build with the LZ4 compressor extension.
  * Build with the Zstd compressor extension.
  * Update Standards-Version to 4.1.1 :
    - remove libwiredtiger-dbg package and use the auto-generated one.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Dec 2017 14:25:51 +0000
