=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: wiredtiger
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), javahelper, dh-python, autoconf, automake,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), javahelper, dh-python, autoconf, automake,
  libtool, swig, doxygen,
- default-jdk, python-all-dev (>= 2.6.6-3~),
- zlib1g-dev, libleveldb-dev, libsnappy-dev
-Standards-Version: 3.9.6
+ default-jdk, python-all-dev (>= 2.7~),
+ zlib1g-dev, liblz4-dev, libzstd-dev, libleveldb-dev, libsnappy-dev
+Standards-Version: 4.1.1
 Homepage: http://www.wiredtiger.com/
 
 Package: libwiredtiger-java
@@ -86,27 +87,6 @@
  Can be used as a simple key/value store, but also has a complete schema
  layer, including indices and projections.
 
-Package: libwiredtiger-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
-Description: high performance, scalable, NoSQL, extensible platform (debug symbols)
- Supports row-oriented storage (where all columns of a row are stored
- together), column-oriented storage (where columns are stored in groups,
- allowing for more efficient access and storage of column subsets) and
- log-structured merge trees (LSM), for sustained throughput under random
- insert workloads.
- .
- Includes ACID transactions with standard isolation levels and durability at
- both checkpoint and fine-grained granularity.
- .
- Can be used as a simple key/value store, but also has a complete schema
- layer, including indices and projections.
- .
- This package contains the debugging symbols for writing C applications
- using WiredTiger.
-
 Package: wiredtiger
 Architecture: any
 Section: admin
