=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,11 @@
 override_dh_auto_configure:
 	$(CURDIR)/autogen.sh
 	dh_auto_configure -- --enable-leveldb=yes --enable-snappy \
-		--enable-zlib \
+		--enable-zlib --enable-lz4 --enable-zstd \
 		--enable-java --enable-python \
 		--with-python-prefix=$(CURDIR)/debian/tmp/$(PYTHON_SITEARCH)/
-
-override_dh_strip:
-	dh_strip -plibwiredtiger0 --dbg-package=libwiredtiger-dbg
-	dh_strip
 
 %:
 	dh $@ --with python2,javahelper --parallel
 
-.PHONY: override_dh_auto_configure override_dh_strip
+.PHONY: override_dh_auto_configure
