## wiredtiger 3.1.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 #export DH_VERBOSE=1
 
 PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
+
+override_dh_clean:
+	dh_clean
+	find $(CURDIR) -name .dirstamp -size 0 -exec rm {} \;
 
 override_dh_auto_configure:
 	$(CURDIR)/autogen.sh
@@ -14,6 +18,6 @@
 		--with-python-prefix=$(CURDIR)/debian/tmp/$(PYTHON_SITEARCH)/
 
 %:
-	dh $@ --with python2,javahelper --parallel
+	dh $@ --with python2,javahelper
 
-.PHONY: override_dh_auto_configure
+.PHONY: override_dh_clean override_dh_auto_configure
