=== debian/changelog ===
wiredtiger (3.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Build python-wiredtiger on amd64 only (closes: #906703).
  * Add watch file.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Jul 2018 22:01:42 +0000
