=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: wiredtiger
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), javahelper, dh-python, autoconf, automake,
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), javahelper, dh-python, autoconf, automake,
  libtool, swig, doxygen,
  default-jdk, python-all-dev (>= 2.7~),
  zlib1g-dev, liblz4-dev, libzstd-dev, libleveldb-dev, libsnappy-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: http://www.wiredtiger.com/
 
 Package: libwiredtiger-java
@@ -31,7 +30,7 @@
 
 Package: python-wiredtiger
 Section: python
-Architecture: any
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -52,7 +51,7 @@
 
 Package: libwiredtiger-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64
 Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (development)
  Supports row-oriented storage (where all columns of a row are stored
@@ -71,7 +70,7 @@
 
 Package: libwiredtiger0
 Section: libs
-Architecture: any
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (library)
@@ -88,7 +87,7 @@
  layer, including indices and projections.
 
 Package: wiredtiger
-Architecture: any
+Architecture: amd64
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform for data management
