## wiredtiger 3.2.0

=== SConstruct ===
--- 
+++ 
@@ -28,6 +28,9 @@
 AddOption("--enable-lz4", dest="lz4", type="string", nargs=1, action="store",
           help="Use LZ4 compression")
 
+AddOption("--enable-java", dest="lang-java", type="string", nargs=1, action="store",
+          help="Build java extension, specify location of swig.exe binary and Java JDK dir separated by comma")
+
 AddOption("--enable-python", dest="lang-python", type="string", nargs=1, action="store",
           help="Build Python extension, specify location of swig.exe binary")
 
@@ -36,9 +39,6 @@
 
 AddOption("--enable-tcmalloc", dest="tcmalloc", type="string", nargs=1, action="store",
           help="Use TCMalloc for memory allocation")
-
-AddOption("--enable-verbose", dest="verbose", action="store_true", default=False,
-          help="Configure WiredTiger to support the verbose configuration string to wiredtiger_open")
 
 AddOption("--enable-zlib", dest="zlib", type="string", nargs=1, action="store",
           help="Use zlib compression")
@@ -67,10 +67,11 @@
 ])
 
 var.Add('CFLAGS', 'C Compiler Flags', [
+    "/W3", # Warning level 3
+    "/WX", # Warnings are fatal
     "/wd4090", # Ignore warning about mismatched const qualifiers
     "/wd4996", # Ignore deprecated functions
-    "/W3", # Warning level 3
-    "/WX", # Warnings are fatal
+    "/we4100", # Complain about unreferenced format parameter
     "/Z7", # Generate debugging symbols
     "/TC", # Compile as C code
     #"/Od", # Disable optimization
@@ -181,9 +182,6 @@
 if GetOption("lang-python"):
     env.Append(LIBPATH=[distutils.sysconfig.PREFIX + r"\libs"])
     env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])
-
-if GetOption("verbose"):
-    env.Append(CPPDEFINES = ["HAVE_VERBOSE"])
 
 
 # Build WiredTiger.h file
@@ -295,6 +293,7 @@
     "src/utilities/util_cpyright.c",
     "src/utilities/util_compact.c",
     "src/utilities/util_create.c",
+    "src/utilities/util_downgrade.c",
     "src/utilities/util_drop.c",
     "src/utilities/util_dump.c",
     "src/utilities/util_list.c",
@@ -326,6 +325,7 @@
         print "The Python Interpreter must be 64-bit in order to build the python bindings"
         Exit(1)
 
+    pythonMajorVersion = sys.version_info.major
     pythonEnv = env.Clone()
     pythonEnv.Append(SWIGFLAGS=[
             "-python",
@@ -333,9 +333,11 @@
             "-O",
             "-nodefaultctor",
             "-nodefaultdtor",
+            "-DPY_MAJOR_VERSION=" + str(pythonMajorVersion)
             ])
     # Ignore warnings in swig-generated code.
     pythonEnv['CFLAGS'].remove("/WX")
+    pythonEnv['CFLAGS'].remove("/we4100")
 
     swiglib = pythonEnv.SharedLibrary('_wiredtiger',
                       [ 'lang\python\wiredtiger.i'],
@@ -352,72 +354,33 @@
 
     Default(swiginstall, copySwig)
 
-# Shim library of functions to emulate POSIX on Windows
-shim = env.Library("window_shim",
-        ["test/windows/windows_shim.c"])
-
-
-
-examples = [
-    "ex_access",
-    "ex_all",
-    "ex_async",
-    "ex_call_center",
-    "ex_config_parse",
-    "ex_cursor",
-    "ex_data_source",
-    "ex_encrypt",
-    "ex_extending",
-    "ex_file_system",
-    "ex_hello",
-    "ex_log",
-    "ex_pack",
-    "ex_process",
-    "ex_schema",
-    "ex_stat",
-    "ex_thread",
-    ]
-
-# WiredTiger Smoke Test support
-# Runs each test in a custom temporary directory
-def run_smoke_test(x):
-    print "Running Smoke Test: " + x
-
-    # Make temp dir
-    temp_dir = tempfile.mkdtemp(prefix="wt_home")
-
-    try:
-        # Set WT_HOME environment variable for test
-        os.environ["WIREDTIGER_HOME"] = temp_dir
-
-        # Run the test
-        ret = subprocess.call(x);
-        if( ret != 0):
-            sys.stderr.write("Bad exit code %d\n" % (ret))
-            raise Exception()
-
-    finally:
-        # Clean directory
-        #
-        shutil.rmtree(temp_dir)
-
-def builder_smoke_test(target, source, env):
-    run_smoke_test(source[0].abspath)
-    return None
-
-env.Append(BUILDERS={'SmokeTest' : Builder(action = builder_smoke_test)})
-
-#Build the tests and setup the "scons test" target
-testutil = env.Library('testutil',
-            [
-                'test/utility/misc.c',
-                'test/utility/parse_opts.c'
-            ])
-env.Append(CPPPATH=["test/utility"])
-
-t = env.Program("t_bloom",
-    "test/bloom/test_bloom.c",
-    LIBS=[wtlib, shim, testutil] + wtlibs)
-Default(t)
-
-t = env.Program("t_checkpoint",
+# Javap SWIG wrapper for WiredTiger
+enableJava = GetOption("lang-java")
+if enableJava and enableJava.count(",") == 1:
+    enableJavaPaths = enableJava.split(',')
+
+    swigExe = enableJavaPaths[0]
+    javaPath = enableJavaPaths[1]
+    conf.env.Append(CPPPATH=[ javaPath + '/include'])
+    conf.env.Append(CPPPATH=[ javaPath + '/include/win32'])
+
+    swigJavaFiles = ["lang/java/src/com/wiredtiger/db/AsyncOp.java",
+    "lang/java/src/com/wiredtiger/db/AsyncOpType.java",
+    "lang/java/src/com/wiredtiger/db/Connection.java",
+    "lang/java/src/com/wiredtiger/db/Cursor.java",
+    "lang/java/src/com/wiredtiger/db/Modify.java",
+    "lang/java/src/com/wiredtiger/db/SearchStatus.java",
+    "lang/java/src/com/wiredtiger/db/Session.java",
+    "lang/java/src/com/wiredtiger/db/WT_ITEM_HOLD.java",
+    "lang/java/src/com/wiredtiger/db/WT_MODIFY_LIST.java",
+    "lang/java/src/com/wiredtiger/db/wiredtiger.java",
+    "lang/java/src/com/wiredtiger/db/wiredtigerConstants.java",
+    "lang/java/src/com/wiredtiger/db/wiredtigerJNI.java"]
+
+    swigCFile = "wiredtiger_wrap.c"
+
+    swigFiles = env.Command(
+        swigJavaFiles + [swigCFile], '',
+        '"' + swigExe + '" -Wall -v -java -nodefaultctor -nodefaultdtor -package com.wiredtiger.db -outdir lang/java/src/com/wiredtiger/db -o wiredtiger_wrap.c lang/java/wiredtiger.i')
+    env.Depends(swigFiles, wtheader)
+    objectJavaWrap = env.Object(swigCFile)
