## wiredtiger 3.2.1

=== SConstruct ===
--- 
+++ 
@@ -45,9 +45,6 @@
 
 AddOption("--prefix", dest="prefix", type="string", nargs=1, action="store", default="package",
           help="Install directory")
-
-AddOption("--with-berkeley-db", dest="bdb", type="string", nargs=1, action="store",
-          help="Berkeley DB install path, ie, /usr/local")
 
 # Get the swig binary from the command line option since SCONS cannot find it automatically
 #
@@ -112,13 +109,12 @@
 useZlib = GetOption("zlib")
 useSnappy = GetOption("snappy")
 useLz4 = GetOption("lz4")
-useBdb = GetOption("bdb")
 useTcmalloc = GetOption("tcmalloc")
 wtlibs = []
 
 conf = Configure(env)
 if not conf.CheckCHeader('stdlib.h'):
-    print 'stdlib.h must be installed!'
+    print('stdlib.h must be installed!')
     Exit(1)
 
 if useZlib:
@@ -128,7 +124,7 @@
         conf.env.Append(CPPDEFINES=["HAVE_BUILTIN_EXTENSION_ZLIB"])
         wtlibs.append("zlib")
     else:
-        print 'zlib.h must be installed!'
+        print('zlib.h must be installed!')
         Exit(1)
 
 if useSnappy:
@@ -138,7 +134,7 @@
         conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_SNAPPY'])
         wtlibs.append("snappy")
     else:
-        print 'snappy-c.h must be installed!'
+        print('snappy-c.h must be installed!')
         Exit(1)
 
 if useLz4:
@@ -148,14 +144,7 @@
         conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_LZ4'])
         wtlibs.append("lz4")
     else:
-        print 'lz4.h must be installed!'
-        Exit(1)
-
-if useBdb:
-    conf.env.Append(CPPPATH=[useBdb+ "/include"])
-    conf.env.Append(LIBPATH=[useBdb+ "/lib"])
-    if not conf.CheckCHeader('db.h'):
-        print 'db.h must be installed!'
+        print('lz4.h must be installed!')
         Exit(1)
 
 if useTcmalloc:
@@ -166,7 +155,7 @@
         conf.env.Append(CPPDEFINES=['HAVE_LIBTCMALLOC'])
         conf.env.Append(CPPDEFINES=['HAVE_POSIX_MEMALIGN'])
     else:
-        print 'tcmalloc.h must be installed!'
+        print('tcmalloc.h must be installed!')
         Exit(1)
 
 env = conf.Finish()
@@ -202,7 +191,7 @@
     VERSION_MINOR == None or
     VERSION_PATCH == None or
     VERSION_STRING == None):
-    print "Failed to find version variables in " + version_file
+    print("Failed to find version variables in " + version_file)
     Exit(1)
 
 wiredtiger_includes = """
@@ -290,12 +279,13 @@
 wtbin = env.Program("wt", [
     "src/utilities/util_alter.c",
     "src/utilities/util_backup.c",
+    "src/utilities/util_compact.c",
     "src/utilities/util_cpyright.c",
-    "src/utilities/util_compact.c",
     "src/utilities/util_create.c",
     "src/utilities/util_downgrade.c",
     "src/utilities/util_drop.c",
     "src/utilities/util_dump.c",
+    "src/utilities/util_import.c",
     "src/utilities/util_list.c",
     "src/utilities/util_load.c",
     "src/utilities/util_load_json.c",
@@ -322,7 +312,7 @@
     # Check that this version of python is 64-bit
     #
     if sys.maxsize < 2**32:
-        print "The Python Interpreter must be 64-bit in order to build the python bindings"
+        print("The Python Interpreter must be 64-bit in order to build the python bindings")
         Exit(1)
 
     pythonMajorVersion = sys.version_info.major
@@ -384,3 +374,14 @@
         '"' + swigExe + '" -Wall -v -java -nodefaultctor -nodefaultdtor -package com.wiredtiger.db -outdir lang/java/src/com/wiredtiger/db -o wiredtiger_wrap.c lang/java/wiredtiger.i')
     env.Depends(swigFiles, wtheader)
     objectJavaWrap = env.Object(swigCFile)
+    env.Depends(objectJavaWrap, swigCFile)
+
+    #
+    # Dynamically Loaded Library - wiredtiger_java.dll
+    wtjavadll = env.SharedLibrary(
+    target="wiredtiger_java",
+    source=wt_objs + [objectJavaWrap] + ['build_win/wiredtiger.def'], LIBS=wtlibs)
+
+    env.Depends(wtjavadll, [filelistfile, version_file])
+    Default(wtjavadll)
+
