=== debian/changelog ===
wiredtiger (3.2.1-1ubuntu4) oracular; urgency=medium

  * No-change rebuild, to fix version number (dropping "ppa1" suffix)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Tue, 16 Jul 2024 16:31:41 +0200

wiredtiger (3.2.1-1ubuntu3ppa1) oracular; urgency=medium

  * d/p/fix_buffer_overflow.patch: Fix buffer overflows
    in example/c/ex_async.c (LP: #2056102)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 26 Jun 2024 15:49:18 +0530

wiredtiger (3.2.1-1ubuntu2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:54:52 +0200

wiredtiger (3.2.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable building on arm64 ppc64el s390x, and any other 64-bit ports.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 12 May 2020 21:22:13 -0700

wiredtiger (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable flaky tests (closes: #949776).
  * Remove Python 2 bindings (closes: #938828).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Jan 2020 11:39:57 +0000

wiredtiger (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable verbose build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jul 2019 17:33:10 +0000

wiredtiger (2.9.3+ds-1ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:31 +0100

wiredtiger (2.9.3+ds-1ubuntu3) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:47:42 +0000
