=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: wiredtiger
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), javahelper, dh-python, autoconf, automake,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 11), javahelper, autoconf, automake,
  libtool, swig, doxygen,
- default-jdk, python-all-dev (>= 2.7~),
+ default-jdk,
  zlib1g-dev, liblz4-dev, libzstd-dev, libleveldb-dev, libsnappy-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: http://www.wiredtiger.com/
 
 Package: libwiredtiger-java
@@ -28,30 +29,9 @@
  .
  This package provides the Java language support for WiredTiger.
 
-Package: python-wiredtiger
-Section: python
-Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python library for WiredTiger
- Supports row-oriented storage (where all columns of a row are stored
- together), column-oriented storage (where columns are stored in groups,
- allowing for more efficient access and storage of column subsets) and
- log-structured merge trees (LSM), for sustained throughput under random
- insert workloads.
- .
- Includes ACID transactions with standard isolation levels and durability at
- both checkpoint and fine-grained granularity.
- .
- Can be used as a simple key/value store, but also has a complete schema
- layer, including indices and projections.
- .
- This package provides the Python bindings for WiredTiger.
-
 Package: libwiredtiger-dev
 Section: libdevel
-Architecture: amd64
+Architecture: any
 Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (development)
  Supports row-oriented storage (where all columns of a row are stored
@@ -70,7 +50,7 @@
 
 Package: libwiredtiger0
 Section: libs
-Architecture: amd64
+Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (library)
@@ -87,7 +67,7 @@
  layer, including indices and projections.
 
 Package: wiredtiger
-Architecture: amd64
+Architecture: any
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform for data management
