=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d?// \
https://github.com/wiredtiger/wiredtiger/tags .*/releases/tag/(\d.*)
